#![deny(rust_2018_idioms, nonstandard_style)]
#![warn(future_incompatible)]
#![doc = include_str!("../README.md")]

/// CLI application utilities.
pub mod cli;
/// Configuration retrieval and parsing.
pub mod config;
/// Range dictionary/map data structure
pub mod rangemap;
/// Range set data structure
pub mod rangeset;
/// Ephemeral working directories.
pub mod rundir;
/// String utilities.
pub mod str;
#[cfg(feature = "thread")]
pub mod thread;
